Bug 28153 - Installer crashes when attempting to format drive after partitioning
Installer crashes when attempting to format drive after partitioning
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-17 12:35 EST by Scott Powell
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-22 16:16:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is the dump file that I saved (6.69 KB, text/plain)
2001-02-17 12:37 EST, Scott Powell
no flags Details

  None (edit)
Description Scott Powell 2001-02-17 12:35:47 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)


I am doing a HD install (downloaded all the install files of the Internet) 
and booting from a boot disk. After selecting my installation media 
location (hda5 and RedHat 7.0 directory), everything starts chugging 
fine... I setup my partitions and hostname, etc... select root password 
and create a user account, then I'm at the screen where it asks to format 
the new partitions. I say ok and it barfs.

Reproducible: Always
Steps to Reproduce:
1.Use the ftp://ftp.redhat.com/pub/redhat/redhat-7.0/i386/en/ as the 
installation root (I downloaded all the files and subs under this to my 
HD).
2.Create a boot disk and boot from it.
3.Select Hard Drive install and select the partion and directory of the 
media.
4.Select Server Install, partition drive, create root passwd and user 
account, etc.
5.When you get to the format partitions screen proceed.
	

Actual Results:  The install crashed with a runtime error.

Expected Results:  It should have kept going.

Traceback (innermost last):
  File "/usr/bin/anaconda.real", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/textw/packages_text.py", 
line 32, in __call__
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 532, in 
getHeaderList
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/harddrive.py", line 54, 
in readHeaders
OSError: [Errno 2] No such file or directory

Local variables in innermost frame:
self: <harddrive.HardDriveInstallMethod instance at 827d090>
hl: []
path: /tmp/hdimage//RedHat/RedHat/RPMS

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iharddrive
HardDriveInstallMethod
p4
(dp5
S'fstype'
p6
S'vfat'
p7
sS'isMounted'
p8
I1
sS'fnames'
p9
(dsS'tree'
p10
S'/tmp/hdimage/'
p11
sS'path'
p12
S'/RedHat'
p13
sS'device'
p14
S'hda5'
p15
sbsS'initlevel'
p16
I3
sS'progressWindow'
p17
NsS'expert'
p18
I0
sS'ddruidReadOnly'
p19
I0
sS'bootdisk'
p20
I1
sS'language'
p21
(itodo
Language
(dp22
S'abbrevMap'
p23
(dp24
S'es_ES'
p25
S'Spanish'
p26
sS'tr_TR'
p27
S'Turkish'
p28
sS'sr_YU'
p29
S'Serbian'
p30
sS'de_DE'
p31
S'German'
p32
sS'sk_SK'
p33
S'Slovak'
p34
sS'ru_RU.KOI8-R'
p35
S'Russian'
p36
sS'is_IS'
p37
S'Icelandic'
p38
sS'no_NO'
p39
S'Norwegian'
p40
sS'sv_SE'
p41
S'Swedish'
p42
sS'en_US'
p43
S'English'
p44
sS'it_IT'
p45
S'Italian'
p46
sS'da_DK'
p47
S'Danish'
p48
sS'cs_CZ'
p49
S'Czech'
p50
sS'uk_UA.KOI8-U'
p51
S'Ukrainian'
p52
sS'hu_HU'
p53
S'Hungarian'
p54
sS'fr_FR'
p55
S'French'
p56
sS'sl_SI'
p57
S'Slovenian'
p58
sS'ro_RO'
p59
S'Romanian'
p60
ssS'font'
p61
(dp62
g46
S'lat0-sun16'
sg30
S'cyr-sun16'
sg36
S'cyr-sun16'
sg44
S'None'
sg34
S'lat2-sun16'
sg40
S'lat0-sun16'
sg42
S'lat0-sun16'
sg56
S'None'
sg58
S'lat2-sun16'
sg60
S'lat2-sun16'
sg32
S'None'
sg28
S'lat5-sun16'
sg54
S'lat2-sun16'
sg26
S'None'
sg52
S'cyr-sun16'
sg50
S'lat2-sun16'
sg48
S'lat0-sun16'
sg38
S'lat0-sun16'
ssS'langs'
p63
(dp64
g46
g45
sg30
g29
sg36
g35
sg44
g43
sg34
g33
sg40
g39
sg42
g41
sg56
g55
sg58
g57
sg60
g59
sg32
g31
sg28
g27
sg54
g53
sg26
g25
sg52
g51
sg50
g49
sg48
g47
sg38
g37
ssS'info'
p65
(dp66
S'LANG'
p67
g43
ssS'map'
p68
(dp69
g46
S'iso15'
sg30
S'iso05'
sg36
S'koi8-r'
sg44
S'None'
sg34
S'iso02'
sg40
S'iso15'
sg42
S'iso15'
sg56
S'None'
sg58
S'iso02'
sg60
S'iso02'
sg32
S'None'
sg28
S'iso09'
sg54
S'iso02'
sg26
S'None'
sg52
S'koi8-u'
sg50
S'iso02'
sg48
S'iso15'
sg38
S'iso15'
ssS'lang'
p70
g43
sbsS'fstab'
p71
NsS'lilo'
p72
(ililo
LiloConfiguration
(dp73
S'liloDevice'
p74
S'mbr'
p75
sS'initrdsMade'
p76
(dsS'edd'
p77
I0
sS'default'
p78
NsS'liloImages'
p79
(dsS'liloLinear'
p80
I1
sS'liloAppend'
p81
S''
sbsS'comps'
p82
NsS'network'
p83
(itodo
Network
(dp84
S'netdevices'
p85
(dp86
S'eth0'
p87
(itodo
NetworkDevice
(dp88
g65
(dp89
S'BOOTPROTO'
S'dhcp'
p90
sS'ONBOOT'
S'yes'
p91
sS'DEVICE'
p92
g87
ssbssS'gateway'
p93
S''
sS'secondaryNS'
p94
S''
sS'hostname'
p95
S'cc665118-a'
sS'primaryNS'
p96
S''
sS'domains'
p97
(lsS'isConfigured'
p98
I0
sS'readData'
p99
I0
sS'ternaryNS'
p100
S''
sbsS'upgrade'
p101
I0
sS'instClass'
p102
(iserver
InstallClass
(dp103
S'rootPasswordCrypted'
p104
I0
sS'nameserver'
p105
S''
sS'x'
NsS'rootPassword'
p106
NsS'makeBootdisk'
p107
I1
sS'installType'
p108
NsS'postScript'
p109
NsS'earlySwapOn'
p110
I0
sS'networkDevice'
p111
NsS'clearText'
p112
Nsg72
(g75
I1
S''
tsg21
NsS'name'
p113
S''
sS'postInChroot'
p114
I0
sS'pixmap'
p115
S''
sS'partitions'
p116
(lp117
(S'/boot'
p118
(I16
I-1
I0
t(S''
I-1
I0
t(I0
I0
tNta(S'/'
(I256
I-1
I0
t(S''
I-1
I0
t(I0
I0
tNta(S'/usr'
p119
(I512
I-1
I1
t(S''
I-1
I0
t(I0
I0
tNta(S'/var'
p120
(I256
I-1
I0
t(S''
I-1
I0
t(I0
I0
tNta(S'/home'
p121
(I512
I-1
I1
t(S''
I-1
I0
t(I0
I0
tNta(S'swap'
p122
(I64
I256
I1
t(S''
I-1
I0
t(I0
I0
tNtasS'clearType'
p123
S'svr'
p124
sg93
S''
sS'mouse'
p125
NsS'packages'
p126
NsS'timezone'
p127
NsS'zeroMbr'
p128
I0
sS'keyboard'
p129
NsS'groups'
p130
(lp131
S'Server'
p132
asS'bootProto'
p133
NsS'netmask'
p134
S''
sS'raidList'
p135
(lsS'skipSteps'
p136
(dp137
S'authentication'
p138
I1
sg72
I1
ssS'auth'
p139
(I1
I1
I0
S''
I0
S''
I0
I0
S''
S''
I0
S''
S''
S''
I0
S''
S''
tsg95
S'localhost.localdomain'
p140
sg71
(lsS'showgroups'
p141
(lp142
S'News Server'
p143
aS'NFS Server'
p144
aS'Web Server'
p145
aS'DNS Name Server'
p146
asS'ip'
p147
S''
sS'defaultRunlevel'
p148
NsS'desktop'
p149
S''
sS'clearPartText'
p150
S'You are about to erase ALL DATA on your hard drive to make room for your 
Linux installation.'
p151
sS'clearParts'
p152
I4
sbsS'rootpassword'
p153
NsS'extraModules'
p154
(lp155
sg125
(imouse
Mouse
p156
(dp157
g14
S'psaux'
p158
sg65
(dp159
S'XMOUSETYPE'
p160
S'IMPS/2'
p161
sS'FULLNAME'
p162
S'Microsoft - IntelliMouse (PS/2)'
p163
sS'MOUSETYPE'
p164
S'imps2'
p165
ssS'emu'
p166
I0
sS'wasProbed'
p167
I1
sS'emulate'
p168
I0
sbsS'ddruidAlreadySaved'
p169
I0
sS'serial'
p170
I0
sg127
(S'America/New_York'
I0
I0
tsg128
I0
sg129
(ikbd
Keyboard
(dp171
S'layout'
p172
NsS'model'
p173
NsS'type'
p174
S'PC'
p175
sg65
(dp176
S'KEYBOARDTYPE'
p177
S'pc'
p178
sS'KEYTABLE'
p179
S'us'
p180
ssbsS'skipFdisk'
p181
I1
sS'fdDevice'
p182
S'fd0'
p183
sS'installSystem'
p184
I1
sS'setupFilesystems'
p185
I1
sg139
(itodo
Authentication
(dp186
S'useNIS'
p187
I0
sS'nisServer'
p188
S''
sS'useLdap'
p189
I0
sS'krb5Kdc'
p190
S''
sS'useHesiod'
p191
I0
sS'ldapServer'
p192
S''
sS'nisDomain'
p193
S''
sS'krb5Realm'
p194
S''
sS'useLdapauth'
p195
I0
sS'hesiodRhs'
p196
S''
sS'useShadow'
p197
I1
sS'nisuseBroadcast'
p198
I0
sS'useKrb5'
p199
I0
sS'useMD5'
p200
I1
sS'ldapBasedn'
p201
S''
sS'krb5Admin'
p202
S''
sS'hesiodLhs'
p203
S''
sS'hesiodDlhs'
p204
S''
sbsg95
g140
sS'reconfigOnly'
p205
I0
sS'x'
(ixf86config
XF86Config
(dp206
S'monlist'
p207
(dsS'keyModel'
p208
S'pc101'
p209
sS'monids'
p210
(dsg14
NsS'monEisa'
p211
NsS'server'
p212
NsS'monHoriz'
p213
S'31.5'
p214
sS'devID'
p215
NsS'modes'
p216
(dp217
S'8'
(lp218
S'640x480'
p219
assS'keyOptions'
p220
S''
sS'keyVariant'
p221
S''
sS'monID'
p222
S'Unprobed Monitor'
p223
sS'keyLayout'
p224
S'us'
p225
sS'manualModes'
p226
(dsg125
g156
sS'keyRules'
p227
S'xfree86'
p228
sS'monVert'
p229
S'60'
p230
sS'cardMan'
p231
NsS'monSect'
p232
S''
sS'primary'
p233
I0
sS'vidRam'
p234
NsS'probed'
p235
I0
sS'monName'
p236
NsS'vidCards'
p237
(lsS'skip'
p238
I0
sS'files'
p239
S'\012# The location of the RGB database.  Note, this is the name of 
the\012# file minus the extension (like ".txt" or ".db").  There is 
normally\012# no need to change the default.\012\012    
RgbPath\011"/usr/X11R6/lib/X11/rgb"\012\012# Multiple FontPath entries are 
allowed (they are concatenated together)\012# By default, Red Hat 6.0 and 
later now use a font server independent of\012# the X server to render 
fonts.\012\012    FontPath   "/usr/X11R6/lib/X11/fonts/TrueType"\012    
FontPath   "unix/:7100"\012'
p240
sbsS'users'
p241
NsS'instPath'
p242
S'/mnt/sysimage'
p243
sS'intf'
p244
NsS'hdList'
p245
Nsb.
Comment 1 Scott Powell 2001-02-17 12:37:29 EST
Created attachment 10301 [details]
This is the dump file that I saved
Comment 2 Scott Powell 2001-02-18 23:19:32 EST
Upon renaming of the directory I saved all the install files in, it works fine 
now. I took the space out ("RedHat 7.0" renamed to "redhat")
Comment 3 Michael Fulbright 2001-02-20 14:41:46 EST
Thanks for the feedback.

Will note that spaces may not work when specifying the path to the hard drive
images.
Comment 4 Glen Foster 2001-02-21 13:21:49 EST
We (Red Hat) should really try to resolve this before next release.
Comment 5 Michael Fulbright 2001-02-22 16:15:59 EST
Fixed.
Comment 6 Glen Foster 2001-03-02 13:06:25 EST
Our installer team-lead thinks we should really fix this before next release.

Note You need to log in before you can comment on or make changes to this bug.